Bug 1130397 - [Jboss-Fuse]Can't snapshot-save for Jboss-Fuse app
Summary: [Jboss-Fuse]Can't snapshot-save for Jboss-Fuse app
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Fuse
Version: 2.1.0
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: ---
Assignee: Jonathan Anstey
QA Contact: David Simansky
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-15 06:45 UTC by xjia
Modified: 2015-07-20 00:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-29 20:17:11 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker ENTESB-1878 Minor Closed Can't snapshot-save for Jboss-Fuse app 2015-09-15 09:58:55 UTC

Description xjia 2014-08-15 06:45:27 UTC
Description of problem:
Create a fuse app, and wait it starts. Make sure fuse management console can be visited. Then snapshot this app, will meet error and fuse app is "stopped"

Version-Release number of selected component (if applicable):
openshift-origin-cartridge-fuse-6.1.0.redhat.389-1.el6op.noarch.rpm

How reproducible:
always

Steps to Reproduce:
1.rhc app create fuse fuse -g xpaas
2.wait fuse's management console can be visited and login.
3.ssh <uuid>@<app-url> 'snapshot' > fuse.tar.gz

Actual results:
3.[root@ip-10-165-74-220 ~]# ssh 53eddcf8b096c4475700004e@fuse-test1.dev.rhcloud.com 'snapshot' > fuse.tar.gz
Creating and sending tar.gz
/bin/tar: ./53eddcf8b096c4475700004e/fuse/container/data/tmp/.paxweb6394013977168779394: File removed before we read it
/bin/tar: ./53eddcf8b096c4475700004e/fuse/container/data/tmp/fileinstall-8275555147917936441: File removed before we read it
/bin/tar: ./53eddcf8b096c4475700004e/fuse/container/data/tmp: file changed as we read it
/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.29.3/lib/openshift-origin-node/utils/shell_exec.rb:133:in `block (2 levels) in oo_spawn': Shell command ' (OpenShift::Runtime::Utils::ShellExecutionException)
/bin/tar --ignore-failed-read -czf - --exclude=./$OPENSHIFT_GEAR_UUID/.tmp --exclude=./$OPENSHIFT_GEAR_UUID/.ssh --exclude=./$OPENSHIFT_GEAR_UUID/.sandbox --exclude=./$OPENSHIFT_GEAR_UUID/*/conf.d/openshift.conf --exclude=./$OPENSHIFT_GEAR_UUID/*/run/httpd.pid --exclude=./$OPENSHIFT_GEAR_UUID/haproxy*/run/stats --exclude=./$OPENSHIFT_GEAR_UUID/app-root/runtime/.state --exclude=./$OPENSHIFT_GEAR_UUID/app-root/runtime/.preupgrade_state --exclude=./$OPENSHIFT_GEAR_UUID/app-root/runtime/.upgrade_itinerary --exclude=./$OPENSHIFT_GEAR_UUID/app-root/runtime/.upgrade_complete* --exclude=./$OPENSHIFT_GEAR_UUID/app-root/runtime/repo --exclude=./$OPENSHIFT_GEAR_UUID/app-root/runtime/dependencies --exclude=./$OPENSHIFT_GEAR_UUID/app-root/runtime/build-dependencies --exclude=./$OPENSHIFT_DATA_DIR/.bash_history            ./$OPENSHIFT_GEAR_UUID
' returned an error. rc=1
	from /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.29.3/lib/openshift-origin-node/utils/shell_exec.rb:96:in `pipe'
	from /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.29.3/lib/openshift-origin-node/utils/shell_exec.rb:96:in `block in oo_spawn'
	from /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.29.3/lib/openshift-origin-node/utils/shell_exec.rb:95:in `pipe'
	from /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.29.3/lib/openshift-origin-node/utils/shell_exec.rb:95:in `oo_spawn'
	from /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-container-selinux-0.10.1/lib/openshift/runtime/containerization/selinux_container.rb:368:in `run_in_container_context'
	from /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.29.3/lib/openshift-origin-node/model/application_container.rb:795:in `run_in_container_context'
	from /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.29.3/lib/openshift-origin-node/model/application_container_ext/snapshots.rb:31:in `write_snapshot_archive'
	from /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.29.3/lib/openshift-origin-node/model/application_container_ext/snapshots.rb:83:in `snapshot'
	from /usr/bin/gear:573:in `block (2 levels) in <main>'
	from /opt/rh/ruby193/root/usr/share/gems/gems/commander-4.0.3/lib/commander/command.rb:180:in `call'
	from /opt/rh/ruby193/root/usr/share/gems/gems/commander-4.0.3/lib/commander/command.rb:180:in `call'
	from /opt/rh/ruby193/root/usr/share/gems/gems/commander-4.0.3/lib/commander/command.rb:155:in `run'
	from /opt/rh/ruby193/root/usr/share/gems/gems/commander-4.0.3/lib/commander/runner.rb:385:in `run_active_command'
	from /opt/rh/ruby193/root/usr/share/gems/gems/commander-4.0.3/lib/commander/runner.rb:62:in `run!'
	from /opt/rh/ruby193/root/usr/share/gems/gems/commander-4.0.3/lib/commander/delegates.rb:11:in `run!'
	from /opt/rh/ruby193/root/usr/share/gems/gems/commander-4.0.3/lib/commander/import.rb:10:in `block in <top (required)>'

Expected results:
No error.and fuse app is running.

Additional info:
If stop fuse app , then execute 'snapshot' for fuse app, it works.
Form the debugging message, files in ./fuse/container/data/tmp directory is changing. If this tmp directory is under /tmp directory, snapshot will ignore the changes. That's my point of view.

Comment 2 Ben Parees 2014-08-21 14:32:30 UTC
for a sample pre/post snapshot/restore implementation in a control script, see:

https://github.com/openshift/origin-server/blob/master/cartridges/openshift-origin-cartridge-postgresql/bin/control#L271

Comment 3 Anne-Louise Tangring 2014-08-28 13:03:32 UTC
We should fix this if it's an easy or quick fix. Prio set correctly.

Comment 4 Anne-Louise Tangring 2014-08-29 20:17:11 UTC
This issue has been moved to JBoss Fuse in issues.jira.org. Follow link under external trackers.

Comment 5 JBoss JIRA Server 2014-09-10 13:33:30 UTC
Jonathan Anstey <janstey@redhat.com> updated the status of jira ENTESB-1878 to Coding In Progress

Comment 6 JBoss JIRA Server 2014-09-11 13:23:34 UTC
Jonathan Anstey <janstey@redhat.com> updated the status of jira ENTESB-1878 to Open

Comment 7 JBoss JIRA Server 2014-09-16 12:14:55 UTC
Jonathan Anstey <janstey@redhat.com> updated the status of jira ENTESB-1878 to Resolved

Comment 8 JBoss JIRA Server 2014-10-06 06:26:21 UTC
Xuan Jia <xjia@redhat.com> updated the status of jira ENTESB-1878 to Closed


Note You need to log in before you can comment on or make changes to this bug.